package cokr.xit.fims.sprt.dao;

import java.util.List;
import java.util.Map;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import cokr.xit.foundation.data.DataObject;

@Mapper("mediaMapper")
public interface MediaMapper {

	/**파일의 모자이크 정보를 조회한다.<br />
	 * @param fileId 파일ID
	 * @return 모자이크 정보
	 */
	List<DataObject> selectMosaicList(String fileId);


	int reorder(Map<String, Object> params);


	int copyMosaicInfo(Map<String, Object> param);

}
